Arch Tuyau

From FreeCAD Documentation
Revision as of 10:45, 25 August 2016 by Mario52 (talk | contribs)
Jump to: navigation, search

Arch Pipe.svg Arch Tube

Emplacement du menu
Arch → Pipe Tools -> Pipe
Ateliers
Arch
Raccourci par défaut
P I
Introduit dans la version
-
Voir aussi
Arch Tube Connexion


Description

Cet outil vous permet de créer un tube à partir de zéro ou à partir d'objets basés sur (Draft, Sketch, etc..) sélectionnés et contenant un fil et un seul fil ouvert,

Utilisation

  1. Optionnellement, sélectionnez une ligne Part, un Draft Line, Draft Wire ou une Esquisse ouverte.
  2. Cliquez sur le bouton Arch Pipe.png Arch Tube

Propriétés

  • DataLength: Donne une longueur au tube, s'il n'est pas basé sur un fil (wire).
  • DataDiameter: Le diamètre du tube, s'il n'est pas basé sur un profil
  • DataBase: Le fil est basé seulement sur le tube
  • DataProfile: Le tube est basé sur le profil. S'il n'y a pas de profil, le tube est cylindrique.

Travail typique

  • Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton Arch Equipment .

Arch_pipe_example_01

  • Dans Arch Equipments vous avez maintenant une nouvelle propriété, qui est une liste de vecteurs 3D. Vous pouvez maintenant ajouter des points aux dimensions voulues, ces coordonnées pourront servir de points d'accrochage si le nouveau bouton Draft Special est activé. Cependant cette propriété n'est seulement disponible qu'en créant un code Python. Dans l'exemple ci dessus, un nouveau point d'accrochage a été ajouté à la sortie du WC. Les vecteurs des points d'accrochage sur le modèle apparaissent comme des points blancs.
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch_pipe_example_02

  • Avec "Snap Special" Draft Snap, vous pouvez maintenant vous accrocher sur tous ces points:

Arch_pipe_example_03

  • Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lines, Draft Wires, ou Sketches. La meilleure solution est d'utiliser uniquement Draft Lines:

Arch_pipe_example_04

  • Il y a maintenant un nouvel outil Draft Slope (pente) qui permet de donner une pente aux lignes, par exemple: 5% (0,05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.

Arch_pipe_example_05

  • We now only have to select all our lines, and press the Arch Pipe button. Arch Pipe works with any Part-based object that contains one and only one open wire.

Arch pipe example 06.jpg

  • We can now create connections by selecting 2 or 3 coincident tubes, and press the Arch PipeConnector button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:

Arch pipe example 07.jpg

  • Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.

It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.

Scripting

The Pipe tool can by used in macros and from the python console by using the following function:

import Arch
Arch.makePipe ( [objectsList,diameter] )
Other languages:
English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский